ChartDirector Ver 5.0 (PHP Edition)

ColorAxis.setColorGradient

Usage

setColorGradient([ isContinuous [, colors [, overflowColor [, underflowColor ]]]])

Description

Sets the continuous color gradient or discrete color steps for the color axis.

Arguments

Argument | Default | Description
--- | --- | ---
isContinuous | true (non-zero) | True ti set to continuous color gradient. False to set to discrete color steps.
colors | [Empty_Array] | An array of colors used to define the continuous color gradient. If an empty array is used, the colors are automatically determined. ChartDirector will interpolate between the colors to create the continuous gradient. If discrete color steps are used, ChartDirector will take samples along the continuous color gradient. The number of samples is determined by the number of ticks on the axis, and may not equal the number of colors in the colors array.
overflowColor | -1 | The color to use if a value exceeds the maximum value of the axis scale. -1 means the overflowColor is the same color at the maximum value.
underflowColor | -1 | The color to use if a value falls below the minimum value of the axis scale. -1 means the underflowColor is the same color at the minimum value.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.